Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/ConnectWiFi/ConnectWiFi.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/ConnectWiFi/ConnectWiFi.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/ConnectWiFi/ConnectWiFi.ino	(revision 142)
@@ -31,9 +31,9 @@
     Serial.print("setup begin\r\n");
 
+    wifi.begin(Serial5);
+
     Serial.print("FW Version: ");
     Serial.println(wifi.getVersion().c_str());
     
-
-    wifi.begin(Serial5);
     if (wifi.setOprToStation()) {
         Serial.print("to station ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/HTTPGET/HTTPGET.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/HTTPGET/HTTPGET.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/HTTPGET/HTTPGET.ino	(revision 142)
@@ -34,9 +34,9 @@
     Serial.print("setup begin\r\n");
 
+    wifi.begin(Serial5);
+
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
 
-
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientMultiple/TCPClientMultiple.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientMultiple/TCPClientMultiple.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientMultiple/TCPClientMultiple.ino	(revision 142)
@@ -33,9 +33,9 @@
     Serial.print("setup begin\r\n");
 
+    wifi.begin(Serial5);
+
     Serial.print("FW Version: ");
     Serial.println(wifi.getVersion().c_str());
     
-
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingle/TCPClientSingle.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingle/TCPClientSingle.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingle/TCPClientSingle.ino	(revision 142)
@@ -33,8 +33,9 @@
     Serial.print("setup begin\r\n");
     
+    wifi.begin(Serial5);
+
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
       
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingleUNO/TCPClientSingleUNO.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingleUNO/TCPClientSingleUNO.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPClientSingleUNO/TCPClientSingleUNO.ino	(revision 142)
@@ -34,8 +34,9 @@
     Serial.print("setup begin\r\n");
     
+    wifi.begin(Serial5);
+
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
       
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPServer/TCPServer.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPServer/TCPServer.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/TCPServer/TCPServer.ino	(revision 142)
@@ -32,8 +32,9 @@
     Serial.print("setup begin\r\n");
     
+    wifi.begin(Serial5);
+
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
       
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientMultiple/UDPClientMultiple.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientMultiple/UDPClientMultiple.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientMultiple/UDPClientMultiple.ino	(revision 142)
@@ -33,9 +33,10 @@
     Serial.begin(9600);
     Serial.print("setup begin\r\n");
+
+    wifi.begin(Serial5);
     
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
 
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
Index: /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientSingle/UDPClientSingle.ino
===================================================================
--- /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientSingle/UDPClientSingle.ino	(revision 141)
+++ /rtos_arduino/trunk/arduino_lib/libraries/ESP8266/examples/UDPClientSingle/UDPClientSingle.ino	(revision 142)
@@ -33,9 +33,10 @@
     Serial.begin(9600);  
     Serial.print("setup begin\r\n");
+
+    wifi.begin(Serial5);
     
     Serial.print("FW Version:");
     Serial.println(wifi.getVersion().c_str());
       
-    wifi.begin(Serial5);
     if (wifi.setOprToStationSoftAP()) {
         Serial.print("to station + softap ok\r\n");
